Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.hadoop
Class ColumnFamilyRecordReader

    java.lang.Object
      org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>
          org.apache.cassandra.hadoop.ColumnFamilyRecordReader

All Implemented Interfaces:
  java.io.Closeable

    public class ColumnFamilyRecordReader

extends org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>

Constructor Summary
`ColumnFamilyRecordReader()`

Method Summary
`void` | `close()`
`java.nio.ByteBuffer` | `getCurrentKey()`
`java.util.SortedMap<java.nio.ByteBuffer,IColumn>` | `getCurrentValue()`
`float` | `getProgress()`
`void` | `initialize(org.apache.hadoop.mapreduce.InputSplit split, org.apache.hadoop.mapreduce.TaskAttemptContext context)`
`boolean` | `nextKeyValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnFamilyRecordReader

    public ColumnFamilyRecordReader()

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### getCurrentKey

    public java.nio.ByteBuffer getCurrentKey()

  Specified by:
    `getCurrentKey` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### getCurrentValue

    public java.util.SortedMap<java.nio.ByteBuffer,IColumn> getCurrentValue()

  Specified by:
    `getCurrentValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### getProgress

    public float getProgress()

  Specified by:
    `getProgress` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### initialize

    public void initialize(org.apache.hadoop.mapreduce.InputSplit split,
                           org.apache.hadoop.mapreduce.TaskAttemptContext context)
                    throws java.io.IOException

  Specified by:
    `initialize` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Throws:
    `java.io.IOException`

### nextKeyValue

    public boolean nextKeyValue()
                         throws java.io.IOException

  Specified by:
    `nextKeyValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation